- NAME
- Synopsis
- Description
- Authors
- See Also

# NAME

ModPerl::RegistryBB - Run unaltered CGI scripts persistently under mod_perl

# Synopsis

    # httpd.conf
    PerlModule ModPerl::RegistryBB
    Alias /perl/ /home/httpd/perl/
    <Location /perl>
        SetHandler perl-script
        PerlResponseHandler ModPerl::RegistryBB
        #PerlOptions +ParseHeaders
        #PerlOptions -GlobalRequest
        Options +ExecCGI
    </Location>

# Description

`ModPerl::RegistryBB` is similar to `ModPerl::Registry`, but does the bare minimum (mnemonic: BB = Bare Bones) to compile a script file once and run it many times, in order to get the maximum performance. Whereas `ModPerl::Registry` does various checks, which add a slight overhead to response times.

# Authors

Doug MacEachern

Stas Bekman

# See Also

`ModPerl::RegistryCooker`, `ModPerl::Registry` and `ModPerl::PerlRun`.